﻿unit uClassEmployee;

interface

uses
  Classes, SysUtils, Rtti, TypInfo, uClassBaseClass;

type
  TClassEmployee = class (TClassBaseClass)
  private
    {$REGION 'Property Fields'}
    FEMP_NO: SmallInt;         // 
    FFIRST_NAME: String;       // 
    FLAST_NAME: String;        // 
    FPHONE_EXT: String;        // 
    FHIRE_DATE: TDateTime;     // 
    FDEPT_NO: String;          // 
    FJOB_CODE: String;         // 
    FJOB_GRADE: SmallInt;      // 
    FJOB_COUNTRY: String;      // 
    FFULL_NAME: String;        // 

    {$ENDREGION}
  public
    // Properties
    property EMP_NO: SmallInt read FEMP_NO write FEMP_NO;
    property FIRST_NAME: String read FFIRST_NAME write FFIRST_NAME;
    property LAST_NAME: String read FLAST_NAME write FLAST_NAME;
    property PHONE_EXT: String read FPHONE_EXT write FPHONE_EXT;
    property HIRE_DATE: TDateTime read FHIRE_DATE write FHIRE_DATE;
    property DEPT_NO: String read FDEPT_NO write FDEPT_NO;
    property JOB_CODE: String read FJOB_CODE write FJOB_CODE;
    property JOB_GRADE: SmallInt read FJOB_GRADE write FJOB_GRADE;
    property JOB_COUNTRY: String read FJOB_COUNTRY write FJOB_COUNTRY;
    property FULL_NAME: String read FFULL_NAME write FFULL_NAME;

  end;

implementation

end.
